package cn.com.qmth.am.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.am.bean.AnswerImageDto;
import cn.com.qmth.am.bean.StudentScoreImageDto;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentEntity;
import cn.com.qmth.am.entity.StudentScoreEntity;

/**
 * 类注释
 */
public interface StudentScoreService  extends IService<StudentScoreEntity> {

	void importScore();

	List<StudentScoreEntity> getByStudentId(Long id);

	void add(StudentEntity student, Map<Long,QuestionEntity> quetions);

	void updateAnswerErr(Long id,String string);

	void createSlice(StudentScoreEntity score, QuestionEntity q,Map<Integer,AnswerImageDto> answerImages);

	StudentScoreImageDto pollStudentScoreImage();

	void ocr(StudentScoreImageDto dto);

	StudentScoreEntity findOneToAiMarking();

	void aiMarking(StudentScoreEntity score);

	void resetStatus();

}
